Release: 1%{?distro_release:.%{distro_release}}
Version: 1.6.0
Name: advi
Summary: Active-DVI Presenter
Source: ftp://ftp.inria.fr/INRIA/Projects/cristal/advi/advi-%{version}.tgz
Group: Applications/Publishing
URL: http://pauillac.inria.fr/advi/
License: LGPL
Provides: advi
BuildRequires: camlimages >= 2.10, ghostscript
Prefix: /usr
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
Requires: ghostscript

%description
Active-DVI is a presentation graphics program to provide the highest
quality slides presentation experience to LaTeX users.

%prep

%setup

%build
%configure
make all opt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1 $RPM_BUILD_ROOT/etc
%makeinstall\
   ADVI_LOC=$RPM_BUILD_ROOT/%{_datadir}/texmf/tex/latex/advi\
   MANDIR=$RPM_BUILD_ROOT/%{_mandir}

# We'll install manual as a %doc file instead.
rm -f $RPM_BUILD_ROOT/%{_datadir}/texmf/tex/latex/advi/manual.dvi

cat > $RPM_BUILD_ROOT/etc/advirc << EOF
-browser /usr/bin/htmlview
EOF

chmod 644 $RPM_BUILD_ROOT/etc/advirc

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%files
%defattr(-,root,root)
%doc Announce* ChangeLog COPYING INDEX INSTALL LGPL LICENSE README
%doc test examples
%doc doc/manual.dvi
%{_datadir}/texmf/tex/latex/advi
%{_bindir}/advi
%{_mandir}/man1/*
/etc/advirc

%changelog

* Thu Jan 27 2005 Aleksey Nogin <rpm@nogin.org>
- Updated to 1.6.0
- Added BuildRoot support.

* Mon Feb 04 2002 <Jun.Furuse@inria.fr>

- Packaged in a rpm. Here is the modus operandi:
  cd /usr/src/redhat/SPECS/
  cp advi.spec ./
  rpm -ba --clean advi.spec
